std::recursive_timed_mutex(3)

NAME
std::recursive_timed_mutex

SYNOPSIS

#include <mutex>

Inherits __recursive_mutex_base, and __timed_mutex_impl< recursive_timed_mutex >.

  Public Types
typedef __native_type * native_handle_type

  Public Member Functions
recursive_timed_mutex (const recursive_timed_mutex &)=delete
void lock ()
native_handle_type native_handle () noexcept
recursive_timed_mutex & operator= (const recursive_timed_mutex &)=delete
bool try_lock () noexcept
template<class _Rep , class _Period > bool try_lock_for (const chrono::duration< _Rep, _Period > &__rtime)
template<class _Clock , class _Duration > bool try_lock_until (const chrono::time_point< _Clock, _Duration > &__atime)
void unlock ()

  Friends
class __timed_mutex_impl< recursive_timed_mutex >

Detailed Description

The standard recursive timed mutex type.

A recursive mutex that supports a timeout when trying to acquire the lock. A recursive mutex can be locked more than once by the same thread. Other threads cannot lock the mutex until the owning thread unlocks it as many times as it was locked.

Since
    C++11

Author

Generated automatically by Doxygen for libstdc++ from the source code.